#!/bin/sh
# website: http://www.underbit.com/products/mad/
#
# script for zenwalk  by til (rob.til.freedman~AT~gmail.com)
#
# patches: http://sourceforge.net/tracker/?group_id=12349&atid=312349
#
# add pkg-config support
PATCH_FILE1='add_pkg-config_support.patch'

# turns anonymous structure into named - C++ fixture
PATCH_FILE2='libmad-0.15.1brzr.diff'
#
set -x

NAME='libmad'
VERSION='0.15.1b'
BUILD='50.2'

ARCH=${ARCH:-i486}
CPU=${CPU:-i686}

PKGNAME=$NAME-$VERSION
PACKAGE=$NAME-$VERSION-$ARCH-$BUILD

CWD=`pwd`
TMP=$CWD/tgz
PKG=$TMP/pkg-$NAME
#
rm -fr $TMP
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/$PKGNAME

cp ${0} $PATCH_FILE1 $PATCH_FILE2 \
 $PKG/usr/src/$PKGNAME

# Create the slack-desc and slack-required files
#        |----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
libmad: libmad (high-quality MPEG audio library)
libmad:
libmad: MAD (libmad) is a high-quality MPEG audio decoder.  It currently
libmad: supports MPEG-1 and the MPEG-2 extension to Lower Sampling
libmad: Frequencies, as well as the so-called MPEG 2.5 format.  All three
libmad: audio layers (Layer I, Layer II, and Layer III a.k.a. MP3) are
libmad: fully implemented.  Because MAD provides full 24-bit PCM output,
libmad: applications using MAD are able to produce high quality audio.
libmad: MAD is distributed under the terms of the GPL.
libmad:
libmad: MAD (libmad) was written by Robert Leslie.
EOF
#
tar xzf $CWD/$PKGNAME.tar.gz -C $TMP
cd $TMP/$PKGNAME

chown -R root.root .

patch -p1 < $CWD/$PATCH_FILE1 || exit 1
patch -p1  < $CWD/$PATCH_FILE2 || exit 1

echo "running aclocal..." && aclocal
echo "running libtoolize..." && libtoolize --automake --force --copy
echo "running autoheader..." && autoheader
echo "running automake..." && automake --add-missing --copy --foreign
echo "running autoconf..." && autoconf

# helperline
./configure --help

CFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
./configure \
    --prefix=/usr \
    --enable-static=no

make || return
make install DESTDIR=$PKG

cp CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION \
  $PKG/usr/doc/$PKGNAME

find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |\
  xargs strip --strip-unneeded 2> /dev/null

cd $PKG
makepkg -l y -c n $CWD/$PACKAGE.tgz

cd $CWD
md5sum $PACKAGE.tgz > $PACKAGE.md5
requiredbuilder -z $PKG > $PACKAGE.dep
